package com.hfkj.service.spread;

import com.hfkj.entity.BsUserSpreadAccountRecord;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @className: BsUserSpreadAccountRecordService
 * @author: HuRui
 * @date: 2025/4/1
 **/
public interface BsUserSpreadAccountRecordService {

    /**
     * 创建数据
     * @param data
     */
    void create(BsUserSpreadAccountRecord data);

    /**
     * 修改数据
     * @param data
     */
    void update(BsUserSpreadAccountRecord data);

    /**
     * 查询记录
     * @param orderNo
     * @return
     */
    BsUserSpreadAccountRecord getRecordByOrderNo(String orderNo);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsUserSpreadAccountRecord> getList(Map<String,Object> param);

    /**
     * 统计记录金额
     * @param param
     * @return
     */
    BigDecimal countRecordAmount(Map<String,Object> param);

    /**
     * 每日可提现次数
     * @param userId
     * @return
     */
    int withdrawChance(Long userId);

}
